function GetDomainNameCheck () {
    param(
        [Parameter(Mandatory)]
        [Microsoft.Azure.Commands.Profile.Models.Core.PSAzureContext]$subscription,
        [Parameter(Mandatory)]
         [Microsoft.Azure.Management.WebSites.Models.Resource] $resource
        )
        $Result = [EffectoryDomainNameCheck] @{
            SubscriptionId = $subscriptionId; 
            SubscriptionName = $subscription.Name;
            ResourceId = $resource.Id;
            ResourceName = $resource.Name;
            ResourceType = $resource.Type;
            Tag_Team = $resource.Tags.team
            Tag_Product = $resource.Tags.product
            Tag_Environment = $resource.Tags.environment
            Tag_Data = $resource.Tags.data
        }

        $Result;
}